From c010b5f6ccd24efaa6b10fb4b1f93b0c98d4767c Mon Sep 17 00:00:00 2001
From: Andrew Benson <abenson+void@gmail.com>
Date: Mon, 3 Jun 2019 19:54:57 -0500
Subject: [PATCH] projectlibre: update to 1.9.1

---
 .../projectlibre/patches/010.no-bashism.patch | 20 +++++++++----------
 .../patches/020.fix-projhome.patch            | 12 +++++------
 srcpkgs/projectlibre/template                 |  4 ++--
 3 files changed, 18 insertions(+), 18 deletions(-)

diff --git a/srcpkgs/projectlibre/patches/010.no-bashism.patch b/srcpkgs/projectlibre/patches/010.no-bashism.patch
index 9da8488dcbf..72d53b65c96 100644
--- a/srcpkgs/projectlibre/patches/010.no-bashism.patch
+++ b/srcpkgs/projectlibre/patches/010.no-bashism.patch
@@ -1,17 +1,17 @@
---- projectlibre.sh
+--- projectlibre.sh.orig
 +++ projectlibre.sh
 @@ -1,4 +1,4 @@
 -#!/bin/bash
 +#!/bin/sh
- #
- #The contents of this file are subject to the Common Public Attribution License
- #Version 1.0 (the "License"); you may not use this file except in compliance with
-@@ -179,7 +179,7 @@
- 	OPENPROJ_HOME="$OPENPROJ_HOME0"
- 	#OPENPROJ_HOME can be harmful with multiple versions. disable
- 	JAVA_OK="1"
--	run_openproj --silentlyFail true "$@" || if [[ $? -eq 126 || $? -eq 127 || $? -eq 64 ]]; then
-+	run_openproj --silentlyFail true "$@" || if [ $? -eq 126 -o $? -eq 127 -o $? -eq 64 ]; then
+
+ #*******************************************************************************
+ # The contents of this file are subject to the Common Public Attribution License 
+@@ -199,7 +199,7 @@
+	PROJECTLIBRE_HOME="$PROJECTLIBRE_HOME0"
+	#PROJECTLIBRE_HOME can be harmful with multiple versions. disable
+	JAVA_OK="1"
+-	run_projectlibre --silentlyFail true "$@" || if [[ $? -eq 126 || $? -eq 127 || $? -eq 64 ]]; then
++	run_projectlibre --silentlyFail true "$@" || if [ $? -eq 126 -o $? -eq 127 -o $? -eq 64 ]; then
  		#126 command invoked cannot execute
  		#127 command not found
  		#64 bad java version/impl
diff --git a/srcpkgs/projectlibre/patches/020.fix-projhome.patch b/srcpkgs/projectlibre/patches/020.fix-projhome.patch
index 0b468bc6e22..879c27352a7 100644
--- a/srcpkgs/projectlibre/patches/020.fix-projhome.patch
+++ b/srcpkgs/projectlibre/patches/020.fix-projhome.patch
@@ -1,12 +1,12 @@
---- projectlibre.sh
+--- projectlibre.sh.orig
 +++ projectlibre.sh
-@@ -63,8 +63,7 @@
+@@ -70,8 +70,7 @@
  #Default conf values
  JAVA_EXE="java"
  JAVA_OPTS="-Xms128m -Xmx768m"
--#OPENPROJ_HOME0="/usr/share/projectlibre"
--OPENPROJ_HOME0=`(dirname $0)`
-+OPENPROJ_HOME0="/usr/share/projectlibre"
- OPENPROJ_HOME="$OPENPROJ_HOME0"
+-#PROJECTLIBRE_HOME0="/usr/share/projectlibre"
+-PROJECTLIBRE_HOME0=`(dirname $0)`
++PROJECTLIBRE_HOME0="/usr/share/projectlibre"
+ PROJECTLIBRE_HOME="$PROJECTLIBRE_HOME0"
  LOG_LEVEL="DEBUG"
  LOG_FILE="/dev/null"
diff --git a/srcpkgs/projectlibre/template b/srcpkgs/projectlibre/template
index ee285d678af..219e4522e62 100644
--- a/srcpkgs/projectlibre/template
+++ b/srcpkgs/projectlibre/template
@@ -1,6 +1,6 @@
 # Template file for 'projectlibre'
 pkgname=projectlibre
-version=1.8.0
+version=1.9.1
 revision=1
 depends="virtual?java-runtime virtual?awk"
 short_desc="Open source project management (replacement for MS project)"
@@ -8,7 +8,7 @@ maintainer="Piraty <piraty1@inbox.ru>"
 license="CPAL-1.0"
 homepage="http://www.projectlibre.com/"
 distfiles="${SOURCEFORGE_SITE}/projectlibre/1.8/projectlibre-${version}.tar.gz"
-checksum=5341154a14718b8d070d7ea0d35a1686a3c37c78ced2a1ef9a0bed3adfab0bae
+checksum=65ca96728eb5a31c3e23eb43181dde367d785a86b82f330ca52bc7b51c74a5bb
 
 do_install() {
 	_dest="usr/share/projectlibre"
